package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpPurGenerateOrderGoodsDTO {
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("采购计划详情列表")
   private List<DrpPurGenerateOrderGoodsDetailDTO> detailList;

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public List<DrpPurGenerateOrderGoodsDetailDTO> getDetailList() {
      return this.detailList;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setDetailList(final List<DrpPurGenerateOrderGoodsDetailDTO> detailList) {
      this.detailList = detailList;
   }
}
